#!/bin/bash -f
#*********************************************************************************************************
# Vivado (TM) v2022.2 (64-bit)
#
# Filename    : Top.sh
# Simulator   : Synopsys Verilog Compiler Simulator
# Description : Simulation script for compiling, elaborating and verifying the project source files.
#               The script will automatically create the design libraries sub-directories in the run
#               directory, add the library logical mappings in the simulator setup file, create default
#               'do/prj' file, execute compilation, elaboration and simulation steps.
#
# Generated by Vivado on Wed May 14 00:16:38 CST 2025
# SW Build 3671981 on Fri Oct 14 04:59:54 MDT 2022
#
# Tool Version Limit: 2022.10 
#
# usage: Top.sh [-help]
# usage: Top.sh [-lib_map_path]
# usage: Top.sh [-noclean_files]
# usage: Top.sh [-reset_run]
#
# Prerequisite:- To compile and run simulation, you must compile the Xilinx simulation libraries using the
# 'compile_simlib' TCL command. For more information about this command, run 'compile_simlib -help' in the
# Vivado Tcl Shell. Once the libraries have been compiled successfully, specify the -lib_map_path switch
# that points to these libraries and rerun export_simulation. For more information about this switch please
# type 'export_simulation -help' in the Tcl shell.
#
# You can also point to the simulation libraries by either replacing the <SPECIFY_COMPILED_LIB_PATH> in this
# script with the compiled library directory path or specify this path with the '-lib_map_path' switch when
# executing this script. Please type 'Top.sh -help' for more information.
#
# Additional references - 'Xilinx Vivado Design Suite User Guide:Logic simulation (UG900)'
#
#*********************************************************************************************************

# Directory path for design sources and include directories (if any) wrt this path
ref_dir="."

# Override directory with 'export_sim_ref_dir' env path value if set in the shell
if [[ (! -z "$export_sim_ref_dir") && ($export_sim_ref_dir != "") ]]; then
  ref_dir="$export_sim_ref_dir"
fi

# Set vlogan compile options
vlogan_opts="-full64 "

# Set vhdlan compile options
vhdlan_opts="-full64 "

# Set vcs elaboration options
vcs_elab_opts="-full64 -debug_acc+pp+dmptf -t ps -licqueue -l elaborate.log "

# Set vcs simulation options
vcs_sim_opts="-ucli -licqueue -l simulate.log "

# Design libraries
design_libs=(xilinx_vip xpm xil_defaultlib blk_mem_gen_v8_4_5 fifo_generator_v13_1_4 xdma_v4_1_20 generic_baseblocks_v2_1_0 axi_infrastructure_v1_1_0 axi_register_slice_v2_1_27 fifo_generator_v13_2_7 axi_data_fifo_v2_1_26 axi_crossbar_v2_1_28 axi_clock_converter_v2_1_26 xlconstant_v1_1_7 axi_bram_ctrl_v4_1_7 jtag_axi util_vector_logic_v2_0_2)

# Simulation root library directory
sim_lib_dir="vcs_lib"

# Script info
echo -e "Top.sh - Script generated by export_simulation (Vivado v2022.2 (64-bit)-id)\n"

# Main steps
run()
{
  check_args $# $1
  setup $1 $2
  compile
  elaborate
  simulate
}

# RUN_STEP: <compile>
compile()
{
  vlogan -work xilinx_vip $vlogan_opts -sverilog +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/hdl/axi4stream_vip_axi4streampc.sv" \
    "/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/hdl/axi_vip_axi4pc.sv" \
    "/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/hdl/xil_common_vip_pkg.sv" \
    "/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/hdl/axi4stream_vip_pkg.sv" \
    "/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/hdl/axi_vip_pkg.sv" \
    "/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/hdl/axi4stream_vip_if.sv" \
    "/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/hdl/axi_vip_if.sv" \
    "/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/hdl/clk_vip_if.sv" \
    "/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/hdl/rst_vip_if.sv" \
  2>&1 | tee -a vlogan.log

  vlogan -work xpm $vlogan_opts -sverilog +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "/home/colin/Xilinx/Vivado/2022.2/data/ip/xpm/xpm_cdc/hdl/xpm_cdc.sv" \
    "/home/colin/Xilinx/Vivado/2022.2/data/ip/xpm/xpm_fifo/hdl/xpm_fifo.sv" \
    "/home/colin/Xilinx/Vivado/2022.2/data/ip/xpm/xpm_memory/hdl/xpm_memory.sv" \
  2>&1 | tee -a vlogan.log

  vhdlan -work xpm $vhdlan_opts \
    "/home/colin/Xilinx/Vivado/2022.2/data/ip/xpm/xpm_VCOMP.vhd" \
  2>&1 | tee -a vhdlan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_pipe_clock.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_pipe_eq.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_pipe_drp.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_pipe_rate.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_pipe_reset.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_pipe_sync.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_gtp_pipe_rate.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_gtp_pipe_drp.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_gtp_pipe_reset.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_pipe_user.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_pipe_wrapper.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_qpll_drp.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_qpll_reset.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_qpll_wrapper.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_rxeq_scan.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_pcie_top.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_core_top.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_axi_basic_rx_null_gen.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_axi_basic_rx_pipeline.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_axi_basic_rx.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_axi_basic_top.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_axi_basic_tx_pipeline.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_axi_basic_tx_thrtl_ctl.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_axi_basic_tx.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_pcie_7x.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_pcie_bram_7x.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_pcie_bram_top_7x.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_pcie_brams_7x.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_pcie_pipe_lane.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_pcie_pipe_misc.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_pcie_pipe_pipeline.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_gt_top.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_gt_common.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_gtp_cpllpd_ovrd.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_gtx_cpllpd_ovrd.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_gt_rx_valid_filter_7x.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_gt_wrapper.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/source/Top_xdma_1_0_pcie2_ip_pcie2_top.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_0/sim/Top_xdma_1_0_pcie2_ip.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work blk_mem_gen_v8_4_5 $vlogan_opts +v2k +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/25a8/simulation/blk_mem_gen_v8_4.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_1/sim/xdma_v4_1_20_blk_mem_64_reg_be.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_2/sim/xdma_v4_1_20_blk_mem_64_noreg_be.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work fifo_generator_v13_1_4 $vlogan_opts +v2k +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/e6d5/simulation/fifo_generator_vlog_beh.v" \
  2>&1 | tee -a vlogan.log

  vhdlan -work fifo_generator_v13_1_4 $vhdlan_opts \
    "$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/e6d5/hdl/fifo_generator_v13_1_rfs.vhd" \
  2>&1 | tee -a vhdlan.log

  vlogan -work fifo_generator_v13_1_4 $vlogan_opts +v2k +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/e6d5/hdl/fifo_generator_v13_1_rfs.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_3/sim/pcie2_fifo_generator_dma_cpl.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/ip_4/sim/pcie2_fifo_generator_tgt_brdg.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work xdma_v4_1_20 $vlogan_opts -sverilog +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/xdma_v4_1_vl_rfs.sv" \
  2>&1 | tee -a vlogan.log

  vlogan -work xil_defaultlib $vlogan_opts -sverilog +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/xdma_v4_1/hdl/verilog/Top_xdma_1_0_dma_cpl.sv" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/xdma_v4_1/hdl/verilog/Top_xdma_1_0_dma_req.sv" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/xdma_v4_1/hdl/verilog/Top_xdma_1_0_rx_destraddler.sv" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/xdma_v4_1/hdl/verilog/Top_xdma_1_0_rx_demux.sv" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/xdma_v4_1/hdl/verilog/Top_xdma_1_0_tgt_cpl.sv" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/xdma_v4_1/hdl/verilog/Top_xdma_1_0_tgt_req.sv" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/xdma_v4_1/hdl/verilog/Top_xdma_1_0_tx_mux.sv" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/xdma_v4_1/hdl/verilog/Top_xdma_1_0_axi_stream_intf.sv" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/xdma_v4_1/hdl/verilog/Top_xdma_1_0_cfg_sideband.sv" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/xdma_v4_1/hdl/verilog/Top_xdma_1_0_pcie2_to_pcie3_wrapper.sv" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/xdma_v4_1/hdl/verilog/Top_xdma_1_0_dma_bram_wrap.sv" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/xdma_v4_1/hdl/verilog/Top_xdma_1_0_dma_bram_wrap_1024.sv" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/xdma_v4_1/hdl/verilog/Top_xdma_1_0_dma_bram_wrap_2048.sv" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/xdma_v4_1/hdl/verilog/Top_xdma_1_0_core_top.sv" \
    "$ref_dir/../../../bd/Top/ip/Top_xdma_1_0/sim/Top_xdma_1_0.sv" \
  2>&1 | tee -a vlogan.log

  vlogan -work generic_baseblocks_v2_1_0 $vlogan_opts +v2k +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/b752/hdl/generic_baseblocks_v2_1_vl_rfs.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work axi_infrastructure_v1_1_0 $vlogan_opts +v2k +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl/axi_infrastructure_v1_1_vl_rfs.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work axi_register_slice_v2_1_27 $vlogan_opts +v2k +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/f0b4/hdl/axi_register_slice_v2_1_vl_rfs.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work fifo_generator_v13_2_7 $vlogan_opts +v2k +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/83df/simulation/fifo_generator_vlog_beh.v" \
  2>&1 | tee -a vlogan.log

  vhdlan -work fifo_generator_v13_2_7 $vhdlan_opts \
    "$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/83df/hdl/fifo_generator_v13_2_rfs.vhd" \
  2>&1 | tee -a vhdlan.log

  vlogan -work fifo_generator_v13_2_7 $vlogan_opts +v2k +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/83df/hdl/fifo_generator_v13_2_rfs.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work axi_data_fifo_v2_1_26 $vlogan_opts +v2k +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/3111/hdl/axi_data_fifo_v2_1_vl_rfs.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work axi_crossbar_v2_1_28 $vlogan_opts +v2k +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c40e/hdl/axi_crossbar_v2_1_vl_rfs.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../bd/Top/ip/Top_xbar_0/sim/Top_xbar_0.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work axi_clock_converter_v2_1_26 $vlogan_opts +v2k +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/b8be/hdl/axi_clock_converter_v2_1_vl_rfs.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../bd/Top/ip/Top_auto_cc_0/sim/Top_auto_cc_0.v" \
    "$ref_dir/../../../bd/Top/ip/Top_auto_cc_1/sim/Top_auto_cc_1.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/clocking/mig_7series_v4_2_iodelay_ctrl.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/clocking/mig_7series_v4_2_clk_ibuf.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/clocking/mig_7series_v4_2_infrastructure.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/clocking/mig_7series_v4_2_tempmon.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/controller/mig_7series_v4_2_rank_cntrl.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/controller/mig_7series_v4_2_bank_state.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/controller/mig_7series_v4_2_bank_mach.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/controller/mig_7series_v4_2_rank_mach.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/controller/mig_7series_v4_2_round_robin_arb.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/controller/mig_7series_v4_2_bank_queue.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/controller/mig_7series_v4_2_arb_mux.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/controller/mig_7series_v4_2_col_mach.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/controller/mig_7series_v4_2_arb_select.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/controller/mig_7series_v4_2_rank_common.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/controller/mig_7series_v4_2_bank_cntrl.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/controller/mig_7series_v4_2_bank_compare.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/controller/mig_7series_v4_2_bank_common.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/controller/mig_7series_v4_2_arb_row_col.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/controller/mig_7series_v4_2_mc.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/ui/mig_7series_v4_2_ui_top.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/ui/mig_7series_v4_2_ui_cmd.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/ui/mig_7series_v4_2_ui_wr_data.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/ui/mig_7series_v4_2_ui_rd_data.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/ip_top/mig_7series_v4_2_mem_intfc.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/ip_top/mig_7series_v4_2_memc_ui_top_axi.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_phy_ocd_lim.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_phy_dqs_found_cal_hr.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_phy_ocd_po_cntlr.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_phy_ocd_mux.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_phy_wrlvl.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_phy_ocd_samp.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_poc_meta.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_phy_ocd_cntlr.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_phy_4lanes.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_byte_lane.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_calib_top.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_skip_calib_tap.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_poc_top.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_prbs_gen.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_phy_dqs_found_cal.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_phy_rdlvl.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_mc_phy.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_poc_cc.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_byte_group_io.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_poc_edge_store.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_phy_tempmon.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_phy_ck_addr_cmd_delay.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_phy_prbs_rdlvl.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_phy_init.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_phy_ocd_edge.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_phy_oclkdelay_cal.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_phy_wrlvl_off_delay.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_phy_wrcal.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_if_post_fifo.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_mc_phy_wrapper.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_poc_tap_base.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_poc_pd.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_phy_ocd_data.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_of_pre_fifo.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/phy/mig_7series_v4_2_ddr_phy_top.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/ecc/mig_7series_v4_2_fi_xor.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/ecc/mig_7series_v4_2_ecc_dec_fix.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/ecc/mig_7series_v4_2_ecc_gen.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/ecc/mig_7series_v4_2_ecc_merge_enc.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/ecc/mig_7series_v4_2_ecc_buf.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_axi_mc_fifo.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_ddr_carry_latch_and.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_ddr_axi_register_slice.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_ddr_w_upsizer.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_axi_mc_w_channel.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_axi_mc_ar_channel.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_ddr_axic_register_slice.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_axi_mc_r_channel.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_ddr_carry_and.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_ddr_carry_latch_or.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_axi_mc_wr_cmd_fsm.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_axi_ctrl_reg.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_axi_ctrl_top.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_ddr_r_upsizer.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_axi_ctrl_reg_bank.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_axi_mc.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_ddr_a_upsizer.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_axi_ctrl_addr_decode.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_ddr_comparator.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_axi_mc_aw_channel.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_axi_mc_cmd_arbiter.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_axi_ctrl_write.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_ddr_command_fifo.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_ddr_carry_or.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_axi_mc_cmd_fsm.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_ddr_comparator_sel_static.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_ddr_axi_upsizer.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_axi_ctrl_read.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_ddr_comparator_sel.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_axi_mc_simple_fifo.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_axi_mc_cmd_translator.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_axi_mc_wrap_cmd.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_axi_mc_incr_cmd.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/axi/mig_7series_v4_2_axi_mc_b_channel.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/Top_mig_7series_1_0_mig_sim.v" \
    "$ref_dir/../../../bd/Top/ip/Top_mig_7series_1_0/Top_mig_7series_1_0/user_design/rtl/Top_mig_7series_1_0.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work xlconstant_v1_1_7 $vlogan_opts +v2k +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/badb/hdl/xlconstant_v1_1_vl_rfs.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../bd/Top/ip/Top_xlconstant_0_0/sim/Top_xlconstant_0_0.v" \
    "$ref_dir/../../../bd/Top/ip/Top_xlconstant_2_0/sim/Top_xlconstant_2_0.v" \
  2>&1 | tee -a vlogan.log

  vhdlan -work xil_defaultlib $vhdlan_opts \
    "$ref_dir/../../../bd/Top/ip/Top_util_ds_buf_0_0/util_ds_buf.vhd" \
    "$ref_dir/../../../bd/Top/ip/Top_util_ds_buf_0_0/sim/Top_util_ds_buf_0_0.vhd" \
  2>&1 | tee -a vhdlan.log

  vhdlan -work axi_bram_ctrl_v4_1_7 $vhdlan_opts \
    "$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/f80b/hdl/axi_bram_ctrl_v4_1_rfs.vhd" \
  2>&1 | tee -a vhdlan.log

  vhdlan -work xil_defaultlib $vhdlan_opts \
    "$ref_dir/../../../bd/Top/ip/Top_axi_bram_ctrl_0_0/sim/Top_axi_bram_ctrl_0_0.vhd" \
  2>&1 | tee -a vhdlan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../bd/Top/ip/Top_blk_mem_gen_0_0/sim/Top_blk_mem_gen_0_0.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work jtag_axi $vlogan_opts +v2k +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/e1cc/hdl/jtag_axi_v1_2_rfs.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../bd/Top/ip/Top_jtag_axi_0_0/sim/Top_jtag_axi_0_0.v" \
    "$ref_dir/../../../bd/Top/ip/Top_jtag_axi_0_1/sim/Top_jtag_axi_0_1.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work util_vector_logic_v2_0_2 $vlogan_opts +v2k +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/3d84/hdl/util_vector_logic_v2_0_vl_rfs.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/c340/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/ec67/hdl" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/1b7e/hdl/verilog" +incdir+"$ref_dir/../../../../nitefury_xdma_ddr_github.gen/sources_1/bd/Top/ipshared/122e/hdl/verilog" +incdir+"/home/colin/Xilinx/Vivado/2022.2/data/xilinx_vip/include" \
    "$ref_dir/../../../bd/Top/ip/Top_util_vector_logic_0_0/sim/Top_util_vector_logic_0_0.v" \
    "$ref_dir/../../../bd/Top/ip/Top_util_vector_logic_0_1/sim/Top_util_vector_logic_0_1.v" \
    "$ref_dir/../../../bd/Top/sim/Top.v" \
  2>&1 | tee -a vlogan.log


  vlogan -work xil_defaultlib $vlogan_opts +v2k \
    glbl.v \
  2>&1 | tee -a vlogan.log
}

# RUN_STEP: <elaborate>
elaborate()
{
  vcs $vcs_elab_opts xil_defaultlib.Top xil_defaultlib.glbl -o Top_simv
}

# RUN_STEP: <simulate>
simulate()
{
  ./Top_simv $vcs_sim_opts -do simulate.do
}

# STEP: setup
setup()
{
  case $1 in
    "-lib_map_path" )
      if [[ ($2 == "") ]]; then
        echo -e "ERROR: Simulation library directory path not specified (type \"./Top.sh -help\" for more information)\n"
        exit 1
      fi
      create_lib_mappings $2
    ;;
    "-reset_run" )
      reset_run
      echo -e "INFO: Simulation run files deleted.\n"
      exit 0
    ;;
    "-noclean_files" )
      # do not remove previous data
    ;;
    * )
      create_lib_mappings $2
  esac

  create_lib_dir

  # Add any setup/initialization commands here:-

  # <user specific commands>

}

# Define design library mappings
create_lib_mappings()
{
  file="synopsys_sim.setup"
  if [[ -e $file ]]; then
    if [[ ($1 == "") ]]; then
      return
    else
      rm -rf $file
    fi
  fi

  touch $file

  if [[ ($1 != "") ]]; then
    lib_map_path="$1"
  else
    lib_map_path="/home/colin/develop/xc7k480t/nitefury_pcie_xdma_ddr/nitefury_xdma_ddr_github/nitefury_xdma_ddr_github.cache/compile_simlib/vcs"
  fi

  for (( i=0; i<${#design_libs[*]}; i++ )); do
    lib="${design_libs[i]}"
    mapping="$lib:$sim_lib_dir/$lib"
    echo $mapping >> $file
  done

  if [[ ($lib_map_path != "") ]]; then
    incl_ref="OTHERS=$lib_map_path/synopsys_sim.setup"
    echo $incl_ref >> $file
  fi
}

# Create design library directory paths
create_lib_dir()
{
  if [[ -e $sim_lib_dir ]]; then
    rm -rf $sim_lib_dir
  fi

  for (( i=0; i<${#design_libs[*]}; i++ )); do
    lib="${design_libs[i]}"
    lib_dir="$sim_lib_dir/$lib"
    if [[ ! -e $lib_dir ]]; then
      mkdir -p $lib_dir
    fi
  done
}

# Delete generated data from the previous run
reset_run()
{
  files_to_remove=(ucli.key Top_simv vlogan.log vhdlan.log compile.log elaborate.log simulate.log .vlogansetup.env .vlogansetup.args .vcs_lib_lock scirocco_command.log 64 AN.DB csrc Top_simv.daidir)
  for (( i=0; i<${#files_to_remove[*]}; i++ )); do
    file="${files_to_remove[i]}"
    if [[ -e $file ]]; then
      rm -rf $file
    fi
  done

  create_lib_dir
}

# Check command line arguments
check_args()
{
  if [[ ($1 == 1 ) && ($2 != "-lib_map_path" && $2 != "-noclean_files" && $2 != "-reset_run" && $2 != "-help" && $2 != "-h") ]]; then
    echo -e "ERROR: Unknown option specified '$2' (type \"./Top.sh -help\" for more information)\n"
    exit 1
  fi

  if [[ ($2 == "-help" || $2 == "-h") ]]; then
    usage
  fi
}

# Script usage
usage()
{
  msg="Usage: Top.sh [-help]\n\
Usage: Top.sh [-lib_map_path]\n\
Usage: Top.sh [-reset_run]\n\
Usage: Top.sh [-noclean_files]\n\n\
[-help] -- Print help information for this script\n\n\
[-lib_map_path <path>] -- Compiled simulation library directory path. The simulation library is compiled\n\
using the compile_simlib tcl command. Please see 'compile_simlib -help' for more information.\n\n\
[-reset_run] -- Recreate simulator setup files and library mappings for a clean run. The generated files\n\
from the previous run will be removed. If you don't want to remove the simulator generated files, use the\n\
-noclean_files switch.\n\n\
[-noclean_files] -- Reset previous run, but do not remove simulator generated files from the previous run.\n\n"
  echo -e $msg
  exit 1
}

# Launch script
run $1 $2
